STOFFGraphicListenerInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
STOFFGraphicListenerInternal::State Struct Reference

the state of a STOFFGraphicListener More...

## Public Member Functions
| State ()
| constructor More...
| ~State ()
| destructor More...
bool | isInTextZone () const
| returns true if we are in a text zone, ie. either in a textbox or a table cell More...

## Public Attributes
STOFFVec2f | m_origin
| the origin position More...
librevenge::RVNGString | m_textBuffer
| a buffer to stored the text More...
STOFFFont | m_font
| the font More...
STOFFParagraph | m_paragraph
| the paragraph More...
std::shared_ptr< STOFFList > | m_list
| the list of list More...
bool | m_isFrameOpened
| a flag to know if openFrame was called More...
STOFFFrameStyle | m_framePosition
| the frame position More...
STOFFGraphicStyle | m_frameStyle
| the frame style More...
bool | m_isTextBoxOpened
| a flag to know if we are in a textbox More...
bool | m_isGroupOpened
| a flag to know if openGroup was called More...
bool | m_isLayerOpened
| a flag to know if openLayer was called More...
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
std::vector< bool > | m_listOrderedLevels
bool | m_isTableOpened
| a stack used to know what is open More...
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
bool | m_inLink
bool | m_inNote
bool | m_inSubDocument
libstoff::SubDocumentType | m_subDocumentType

## Private Member Functions
| State (const State &)
State & | operator= (const State &)

## Detailed Description

the state of a STOFFGraphicListener

## Constructor & Destructor Documentation

## ◆ State() [1/2]

STOFFGraphicListenerInternal::State::State | ( |  | ) |

constructor

## ◆ ~State()

STOFFGraphicListenerInternal::State::~State | ( |  | ) |
| inline

destructor

## ◆ State() [2/2]

STOFFGraphicListenerInternal::State::State | ( | const State & |  | ) |
| private

## Member Function Documentation

## ◆ isInTextZone()

bool STOFFGraphicListenerInternal::State::isInTextZone | ( |  | ) | const
| inline

returns true if we are in a text zone, ie. either in a textbox or a table cell

## ◆ operator=()

State& STOFFGraphicListenerInternal::State::operator= | ( | const State & |  | ) |
| private

## Member Data Documentation

## ◆ m_currentPage

unsigned STOFFGraphicListenerInternal::State::m_currentPage

## ◆ m_currentPageNumber

int STOFFGraphicListenerInternal::State::m_currentPageNumber

## ◆ m_font

STOFFFont STOFFGraphicListenerInternal::State::m_font

the font

## ◆ m_framePosition

STOFFFrameStyle STOFFGraphicListenerInternal::State::m_framePosition

the frame position

## ◆ m_frameStyle

STOFFGraphicStyle STOFFGraphicListenerInternal::State::m_frameStyle

the frame style

## ◆ m_inLink

bool STOFFGraphicListenerInternal::State::m_inLink

Referenced by isInTextZone().

## ◆ m_inNote

bool STOFFGraphicListenerInternal::State::m_inNote

Referenced by isInTextZone().

## ◆ m_inSubDocument

bool STOFFGraphicListenerInternal::State::m_inSubDocument

## ◆ m_isFrameOpened

bool STOFFGraphicListenerInternal::State::m_isFrameOpened

a flag to know if openFrame was called

## ◆ m_isGroupOpened

bool STOFFGraphicListenerInternal::State::m_isGroupOpened

a flag to know if openGroup was called

## ◆ m_isLayerOpened

bool STOFFGraphicListenerInternal::State::m_isLayerOpened

a flag to know if openLayer was called

## ◆ m_isListElementOpened

bool STOFFGraphicListenerInternal::State::m_isListElementOpened

## ◆ m_isParagraphOpened

bool STOFFGraphicListenerInternal::State::m_isParagraphOpened

## ◆ m_isSpanOpened

bool STOFFGraphicListenerInternal::State::m_isSpanOpened

## ◆ m_isTableCellOpened

bool STOFFGraphicListenerInternal::State::m_isTableCellOpened

Referenced by isInTextZone().

## ◆ m_isTableColumnOpened

bool STOFFGraphicListenerInternal::State::m_isTableColumnOpened

## ◆ m_isTableOpened

bool STOFFGraphicListenerInternal::State::m_isTableOpened

a stack used to know what is open

## ◆ m_isTableRowOpened

bool STOFFGraphicListenerInternal::State::m_isTableRowOpened

## ◆ m_isTextBoxOpened

bool STOFFGraphicListenerInternal::State::m_isTextBoxOpened

a flag to know if we are in a textbox

Referenced by isInTextZone().

## ◆ m_list

std::shared_ptr<STOFFList> STOFFGraphicListenerInternal::State::m_list

the list of list

## ◆ m_listOrderedLevels

std::vector<bool> STOFFGraphicListenerInternal::State::m_listOrderedLevels

## ◆ m_numPagesRemainingInSpan

int STOFFGraphicListenerInternal::State::m_numPagesRemainingInSpan

## ◆ m_origin

STOFFVec2f STOFFGraphicListenerInternal::State::m_origin

the origin position

## ◆ m_paragraph

STOFFParagraph STOFFGraphicListenerInternal::State::m_paragraph

the paragraph

## ◆ m_subDocumentType

libstoff::SubDocumentType STOFFGraphicListenerInternal::State::m_subDocumentType

## ◆ m_textBuffer

librevenge::RVNGString STOFFGraphicListenerInternal::State::m_textBuffer

a buffer to stored the text

The documentation for this struct was generated from the following file:

- STOFFGraphicListener.cxx